summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2012-05-23 18:16:30 +0000
committerMike Gilbert <floppym@gentoo.org>2012-05-23 18:16:30 +0000
commitbcef2612ed1e6bbf8dac773675a5b95023876648 (patch)
tree725a533e1b356a81be65af42ef8115800d875f8b /eclass/chromium.eclass
parent[bump] dev-perl/wxperl-0.990.800 (diff)
downloadhistorical-bcef2612ed1e6bbf8dac773675a5b95023876648.tar.gz
historical-bcef2612ed1e6bbf8dac773675a5b95023876648.tar.bz2
historical-bcef2612ed1e6bbf8dac773675a5b95023876648.zip
Don't elog about icons if the user has installed them. Bug 416773 by pacho.
Diffstat (limited to 'eclass/chromium.eclass')
-rw-r--r--eclass/chromium.eclass23
1 files changed, 13 insertions, 10 deletions
diff --git a/eclass/chromium.eclass b/eclass/chromium.eclass
index 23e05a72f6fd..31edf55621fb 100644
--- a/eclass/chromium.eclass
+++ b/eclass/chromium.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/chromium.eclass,v 1.3 2012/03/23 19:53:51 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/chromium.eclass,v 1.4 2012/05/23 18:16:30 floppym Exp $
# @ECLASS: chromium.eclass
# @MAINTAINER:
@@ -126,15 +126,18 @@ chromium_pkg_postinst() {
gnome2_icon_cache_update
# For more info see bug #292201, bug #352263, bug #361859.
- elog
- elog "Depending on your desktop environment, you may need"
- elog "to install additional packages to get icons on the Downloads page."
- elog
- elog "For KDE, the required package is kde-base/oxygen-icons."
- elog
- elog "For other desktop environments, try one of the following:"
- elog " - x11-themes/gnome-icon-theme"
- elog " - x11-themes/tango-icon-theme"
+ if ! has_version x11-themes/gnome-icon-theme &&
+ ! has_version x11-themes/oxygen-icons ; then
+ elog
+ elog "Depending on your desktop environment, you may need"
+ elog "to install additional packages to get icons on the Downloads page."
+ elog
+ elog "For KDE, the required package is kde-base/oxygen-icons."
+ elog
+ elog "For other desktop environments, try one of the following:"
+ elog " - x11-themes/gnome-icon-theme"
+ elog " - x11-themes/tango-icon-theme"
+ fi
# For more info see bug #359153.
elog